assetmgrmodel::AssetStrip_2_0_5::StripInfo Struct Reference

Dynamic (may change with a connected strip) information for an AssetStrip. More...

`import"AssetStrip.idl";`

## Public Attributes

int | maxMainTagCount
| Maximum number of tags supported on the main strip.
int | maxBladeTagCount
| Maximum number of tags supported on blade extensions.
int | mainTagCount
| Current number of tags on the main asset strip.
int | bladeTagCount
| Current number of tags on all blade extensions.
boolean | bladeOverflow
| Out of space for new blade extension tags, read-only.
int | rackUnitCount
| Rack unit count, i.e. number of tags connectable.
int | componentCount
| Number of components.
CascadeState | cascadeState
| State of the cascade (only for composite strips)

## Detailed Description

Dynamic (may change with a connected strip) information for an AssetStrip.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/AssetStrip.idl